program PCB_Who;
{$M $4000,0,0}
uses dos, crt;
{
   Program.......: PCB_Who
   Author........: Elmer O. Laudenslager, III
   Date..........: December 22, 1991
   What & Why....: This program was written to extract the name of the
                   person in the PCBoard.SYS file.  Then, send a message
                   to person designated to receive messages.  I wrote this
                   program to send me the name of people who log in to my
                   bbs.  This program gets called in the $$LOGON.BAT file
                   for PCBoard 14.5A.  The layout of the PCBWHO.CNF file
                   is as follows:

Line 1             C:\LAN\NET.EXE          < == Name and Location of the
                                                NET.EXE file for Artisoft's
                                                Lantastic
Line 2             C:\PCB9\PCBOARD.SYS     < == Name and Location to the
                                                PCBOARD.SYS file
Line 3             elmer                   < == Name of person to receive
                                                the message

                   If you find this program useful, you can reach me at
                                 Elmer O. Laudenslager, III
                                 406 High Street # 6
                                 Williamsport, Pa 17701

I, Elmer O. Laudenslager, III herebye donate this code to the public domain.
This .ZIP file is Authenticated and Verified.  If it is tampered with, you'll
be informed by the PKUNZIP program.  I ask for no donations.  I thought this
program would be useful.  I am sure that there are other uses that It could
be put to.

My BBS is : The New! VVBBS
            (717) 323 - 1645  Data 1
            (717) 323 - 6235  Data 2
            (717) 323 - 4365  Voice

}
var
  cf       : text;                     {control data file}
  net_loc  : string;                   {full path to net.exe}
  net_snd  : string;                   {person to receive message}
  pcb_sys  : string;                   {full path to pcboard.sys}
  f        : file of char;
  t        : string;
  s        : string[25];
  c        : array[1..25] of char;
  i        : integer;
  b        : char;

begin
   Assign(cf,'pcbwho.cnf');            {open configuration file}
   Reset(cf);
   Readln(cf,net_loc);                 {read the location and name of the}
   Readln(cf,pcb_sys);                 {net.exe file. read name of users to}
   Readln(cf,net_snd);                 {receive the message.  read location}
   Close(cf);                          {and name of pcboard.sys file.  Close}
   Assign(f,pcb_sys);                  {Open the PCBoard.sys file}
   Reset(f);
   for i := 1 to 84 do                 {Bypass the first 84 bytes.}
      Read(f,b);
   for i := 1 to 25 do                 {Read name of person logging in.}
      begin                            {25 bytes.}
         read(f,b);
         c[i] := b;
      end;
   s := '';
   for i := 1 to 25 do                 {move name to a string}
      s := s + c[i];
   Close(f);
   t := ' SEND * "' + s + ' has logged into the BBS." * ' + net_snd;
   SwapVectors;
   Exec(net_loc,t);                    {call the net send program}
   SwapVectors;
end.                                   {bye - bye}
